PHPCPD(1)

NAME
phpcpd - PHPCPD command line interface

SYNOPSIS
phpcpd [options] [--] [<values>]...

DESCRIPTION
Copy and paste detector (CPD) for PHP code. This tool provides details about duplicated lines inside a PHP project.

  Arguments:

values
    Files and directories to analyze

OPTIONS

--names=NAMES
    A comma-separated list of file names to check [default: ["*.php"]]

--names-exclude=NAMES-EXCLUDE
    A comma-separated list of file names to exclude

--regexps-exclude=REGEXPS-EXCLUDE
    A comma-separated list of paths regexps to exclude (example: "#var/.*_tmp#")

--exclude=EXCLUDE
    Exclude a directory from code analysis (must be relative to source) (multiple values allowed)

--log-pmd=LOG-PMD
    Write result in PMD-CPD XML format to file

--min-lines=MIN-LINES
    Minimum number of identical lines [default: 5]

--min-tokens=MIN-TOKENS
    Minimum number of identical tokens [default: 70]

--fuzzy
    Fuzz variable names

--progress
    Show progress bar

-h, --help
    Display this help message

-q, --quiet
    Do not output any message

-V, --version
    Display this application version

--ansi
    Force ANSI output

--no-ansi
    Disable ANSI output

-n, --no-interaction
    Do not ask any interactive question

-v|vv|vvv, --verbose
    Increase the verbosity of messages: 1 for normal output, 2 for more verbose output and 3 for debug